io.undertow.server

## Class ListenerRegistry.Listener

- java.lang.Object
- - io.undertow.server.ListenerRegistry.Listener

Enclosing class:
  ListenerRegistry

    public static final class ListenerRegistry.Listener
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Listener(String protocol, String name, String serverName, InetSocketAddress bindAddress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addHttpUpgradeMetadata(ListenerRegistry.HttpUpgradeMetadata upgradeMetadata)`
`InetSocketAddress` `getBindAddress()` The address that this listener is bound to
`Object` `getContextInformation(String key)`
`Collection<String>` `getContextKeys()`
`Set<ListenerRegistry.HttpUpgradeMetadata>` `getHttpUpgradeMetadata()`
`String` `getName()` The optional listener name;
`String` `getProtocol()` The protocol that this listener is using
`String` `getServerName()` The server name
`Object` `removeContextInformation(String key)`
`void` `removeHttpUpgradeMetadata(ListenerRegistry.HttpUpgradeMetadata upgradeMetadata)`
`Object` `setContextInformation(String key, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Listener

    public Listener(String protocol,
                    String name,
                    String serverName,
                    InetSocketAddress bindAddress)

### Method Detail

#### getProtocol

    public String getProtocol()

The protocol that this listener is using

#### getName

    public String getName()

The optional listener name;

#### getServerName

    public String getServerName()

The server name

#### getBindAddress

    public InetSocketAddress getBindAddress()

The address that this listener is bound to

#### getContextKeys

    public Collection<String> getContextKeys()

#### removeContextInformation

    public Object removeContextInformation(String key)

#### setContextInformation

    public Object setContextInformation(String key,
                                        Object value)

#### getContextInformation

    public Object getContextInformation(String key)

#### addHttpUpgradeMetadata

    public void addHttpUpgradeMetadata(ListenerRegistry.HttpUpgradeMetadata upgradeMetadata)

#### removeHttpUpgradeMetadata

    public void removeHttpUpgradeMetadata(ListenerRegistry.HttpUpgradeMetadata upgradeMetadata)

#### getHttpUpgradeMetadata

    public Set<ListenerRegistry.HttpUpgradeMetadata> getHttpUpgradeMetadata()